import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Deque;

import it.kibo.fp.lib.RandomDraws;

public class Partita {
    private Deque <Giocatore> giocatori = new ArrayDeque<>();
    private ArrayList <Cavallo> cavalli = new ArrayList<>();
    private Mappa mappa;
    private Pila pila;

    public Partita(Deque <Giocatore> giocatori, ArrayList<Cavallo> cavalli, Mappa mappa, Pila pila){
        this.giocatori = giocatori;
        this.cavalli = cavalli;
        this.mappa = mappa;
        this.pila = pila;
    }

    public void sceltaCavaliere(){
        int i = RandomDraws.drawInteger(0, giocatori.size()-1);
        for(int j = 0; j < i; j++){
            giocatori.addLast(giocatori.getFirst());
            giocatori.removeFirst();
        }
        giocatori.getFirst().setCavaliere(true);
    }

    public void inizioTappa(){
        
    }
}
